function posuninv(pic,pic2)
global G2;
global M2;
%% o kolik se to nebude zmenšovat
[K,L]=size(pic);
pos = floor( K/5 );
pos2 = floor( L/5 );
%% posun a hledání minima
G2 = zeros(pos, pos2);

for i=1:3:K-pos
    for j=1:3:L-pos2
        D = pic2(1+i:K,1+j:L);
        E = pic(1:end-i,1:end-j);
        ind = find( (D~=0)|(E~=0) );
        
        G2(i,j) = sum(sum(abs(D(ind)-E(ind))))/numel(ind);
    end
end
G2(isnan(G2))=1;               % bez NaN hodnot
G2(~G2) = inf;                 % zbavím se nul pro hledání minima
[M2,I2] = min(G2(:)); 
end